Next: log2, Previous: log10, Up: Math [Contents][Index]

### 1.36 `log1p`, `log1pf`—log of `1 + x`

Synopsis

    #include <math.h>
    double log1p(double x);
    float log1pf(float x);

Description
`log1p` calculates the natural logarithm of `1+x`. You can use `log1p` rather than ‘`log(1+x)`’ for greater precision when x is very small.

`log1pf` calculates the same thing, but accepts and returns `float` values rather than `double`.

Returns
`log1p` returns a `double`, the natural log of `1+x`. `log1pf` returns a `float`, the natural log of `1+x`.

Portability
Neither `log1p` nor `log1pf` is required by ANSI C or by the System V Interface Definition (Issue 2).